
/* MODAL POPUP DIALOG */

.modal-wrapper {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	z-index: 98;
	background-color: #eaeaea;
	background-color: rgba(200, 200, 200, 0.80);
	border: none;
	text-align: center;
}
.modal-window {
	display: inline-block;
	vertical-align: middle;
	text-align: left;
	background: #fafafa;
	border: none;
	box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.2), -1px -1px 2px rgba(0, 0, 0, 0.2);
	height: auto;
}
.modal-window.modal-window-popup {
	width: 480px;
}

.modal-window-popup:has(div div#blacklist_warning_modal) {
    width: 880px;
}

.modal-window-dialog {
	width: 1230px;
}
.modal-wrapper:before {
	content: '';
	display: inline-block;
	height: 100%;
	vertical-align: middle;
}
.modal-body {
	position: static;
	overflow-x: hidden;
	overflow-y: auto;
}
.modal-title {
	position: static;
	overflow: hidden;
	line-height: 48px;
	height: 48px;
	padding: 0;
	font-size: 16px;
	background-color: #2B186F;
	color: #fafafa;
	border: none;
}
.modal-title > span {
	padding-left: 16px;
}
.modal-close, .modal-print {
	position: static;
	float: right;
	width: 48px;
	height: 48px;
	line-height: 48px;
	color: #fafafa;
	cursor: pointer;
	background-color: #2B186F;
	border: none;
	text-align: center
}
.modal-close > span, .modal-print > span {
	display: inline-block;
	width: 48px;
	height: 48px;
	line-height: 48px;
	font-size: 24px;
	color: #eaeaea;
	cursor: pointer;
	background-color: #2B186F;
	border: none;
	text-shadow: 0 0 4px rgba(0, 0, 0, 0.8);
}
.modal-close > span:hover, .modal-print > span:hover {
	color: #fafafa;
}
.modal-clearfix {
	clear: both;
	border: none;
}
.modal-stop-scrolling {
	height: 100%;
	overflow: hidden;
}
.modal-footer {
	border: none;
	border-top: #d2dbee 1px solid;
	text-align: right;
	padding: 0;
	margin: 0;
	min-height: 49px;
}
.modal-footer > input {
	margin: 8px;
}

@media (max-width: 1396px) {
	.modal-window-dialog {
		width: 990px;
	}
}

@media (max-width: 990px) {
	.modal-window-dialog {
		width: 750px;
	}
}

@media (max-width: 750px) {

	.modal-window {
		position: absolute;
		width: auto !important;
		height: auto;
		left: 0;
		right: 0;
		top: 0px;
		bottom: 0;
		margin: 0;
		z-index: 99;
		background: #fafafa;
		border: none;
		box-shadow: none;
	}

	.modal-body {
		position: fixed;
		left: 0;
		right: 0;
		top: 48px;
	}

	.modal-title {
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		float: none;
		width: auto;
		overflow: hidden;
	}

	.modal-close {
		position: absolute;
		float: none;
		top: 0;
		right: 0;
	}

	.modal-footer {
		position: fixed;
		left: 0;
		right: 0;
		bottom: 0;
	}
}

@media print {
	html.has-modal body > form {
		display: none;
	}

	.modal-wrapper {
		position: relative;
		top: auto;
		bottom: auto;
		left: auto;
		right: auto;
	}

	.modal-title, .modal-footer {
		display: none;
	}

	.modal-window, .modal-body {
		width: 100%;
	}

	.modal-window {
		display: inherit;
		box-shadow: none;
		vertical-align: top;
	}

	.modal-body {
		max-height: none !important;
	}

	html.modal-stop-scrolling, body.modal-stop-scrolling {
		overflow: visible;
		height: auto;
	}
}
